package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 人员休息设置
 * </p>
 *
 * @author mk
 * @since 2024-06-03
 */
@TableName("user_rest")
@ApiModel(value="UserRest对象", description="人员休息设置")
public class UserRest extends Model<UserRest> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "用户名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "用户ID")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "休息开始时间")
    @TableField("start_rest_time")
    private String startRestTime;

    @ApiModelProperty(value = "休息结束时间")
    @TableField("end_rest_time")
    private String endRestTime;

    @ApiModelProperty(value = "所属代理ID")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业ID")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "所属站点ID")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "所属代理")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "所属站点")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "状态0：关闭，1：开启")
    @TableField("status")
    private Integer status;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getStartRestTime() {
        return startRestTime;
    }

    public void setStartRestTime(String startRestTime) {
        this.startRestTime = startRestTime;
    }

    public String getEndRestTime() {
        return endRestTime;
    }

    public void setEndRestTime(String endRestTime) {
        this.endRestTime = endRestTime;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "UserRest{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", userName=" + userName +
        ", userId=" + userId +
        ", startRestTime=" + startRestTime +
        ", endRestTime=" + endRestTime +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", agentName=" + agentName +
        ", propertyName=" + propertyName +
        ", districtName=" + districtName +
        ", status=" + status +
        "}";
    }
}
